summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
Diffstat (limited to 'system')
-rw-r--r--system/cpulimit/README2
-rw-r--r--system/cpulimit/cpulimit.SlackBuild70
-rw-r--r--system/cpulimit/cpulimit.info10
-rw-r--r--system/cpulimit/slack-desc19
4 files changed, 101 insertions, 0 deletions
diff --git a/system/cpulimit/README b/system/cpulimit/README
new file mode 100644
index 0000000000..3d96f6cd22
--- /dev/null
+++ b/system/cpulimit/README
@@ -0,0 +1,2 @@
+Cpulimit is a tool which limits the CPU usage of a process (expressed in percentage, not in CPU time).
+It is useful to control batch jobs, when you don't want them to eat too many CPU cycles.
diff --git a/system/cpulimit/cpulimit.SlackBuild b/system/cpulimit/cpulimit.SlackBuild
new file mode 100644
index 0000000000..d82f463135
--- /dev/null
+++ b/system/cpulimit/cpulimit.SlackBuild
@@ -0,0 +1,70 @@
+#!/bin/sh
+
+# Slackware build script for cpulimit
+
+# Written by Andrey Maraev <andrew.maraev60@yandex.ru>
+
+PRGNAM=cpulimit
+VERSION=${VERSION:-0.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || tar cvf $CWD/v$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make
+
+mkdir -p $PKG/usr/bin
+cp src/cpulimit $PKG/usr/bin
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/cpulimit/cpulimit.info b/system/cpulimit/cpulimit.info
new file mode 100644
index 0000000000..75273f649f
--- /dev/null
+++ b/system/cpulimit/cpulimit.info
@@ -0,0 +1,10 @@
+PRGNAM="cpulimit"
+VERSION="0.1"
+HOMEPAGE="https://github.com/opsengine/cpulimit"
+DOWNLOAD="https://github.com/opsengine/cpulimit/archive/v0.1.tar.gz"
+MD5SUM="022a32e793bde7b0776674f8b3e977b2"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Andrey Maraev"
+EMAIL="andrew.maraev60@yandex.ru"
diff --git a/system/cpulimit/slack-desc b/system/cpulimit/slack-desc
new file mode 100644
index 0000000000..41ff1f7482
--- /dev/null
+++ b/system/cpulimit/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+cpulimit: cpulimit (Limit CPU Usage)
+cpulimit:
+cpulimit: Cpulimit tool which limits the CPU usage of a process (expressed in
+cpulimit: percentage, not in CPU time)
+cpulimit: It is useful to control batch jobs when you don't want
+cpulimit: them to eat too many CPU cycles.
+cpulimit: The goal is prevent a process from running
+cpulimit: for more than a specified time ratio
+cpulimit:
+cpulimit: Home page - https://github.com/opsengine/cpulimit
+cpulimit: